from offline_results.common.config import (
    KMEANS_FEATURE,
    MINIBATCH_KMEANS_FEATURE,
    WARDS_HIERARCHICAL_FEATURE,
    KMEDOIDS_FEATURE,
    DBSCAN_FEATURE,
    OPTICS_FEATURE,
    BIRCH_FEATURE,
    BIRCH_ENSEMBLE_FEATURE,
)
from offline_results.common.constants import (
    RATING,
    ATTRIBUTE1,
    CATEGORY,
    SUBCATEGORY,
    ACTORS,
    DIRECTORS,
    TAGS,
    PAYTVPROVIDER_ID,
    GENDER,
    AGE,
)

SIMILARITY_THRESHOLD = 0.5
CLUSTER_NODE_LABEL = MINIBATCH_KMEANS_FEATURE
SOURCE_NODE_LABEL = "user"
USER1 = "user1"
USER2 = "user2"
SCORE = "score"
LABEL = "label"
SIMILAR = "similar"

SIMILARITY_WEIGHTS = {
    RATING: 1,
    ATTRIBUTE1: 1,
    CATEGORY: 1,
    SUBCATEGORY: 1,
    ACTORS: 1,
    DIRECTORS: 1,
    TAGS: 1,
    KMEANS_FEATURE: 1,
    MINIBATCH_KMEANS_FEATURE: 1,
    WARDS_HIERARCHICAL_FEATURE: 1,
    KMEDOIDS_FEATURE: 1,
    DBSCAN_FEATURE: 1,
    OPTICS_FEATURE: 1,
    BIRCH_FEATURE: 1,
    BIRCH_ENSEMBLE_FEATURE: 1,
}

ASSIGN_CLUSTER_FEATURES = [GENDER, AGE, PAYTVPROVIDER_ID]

GENDER_MAP = {0: -1, "na": -1, "m": 0, "f": 1, "nan": -1}

DEFAULT_CLUSTER_LABEL = -999
NEW_USER_CLUSTER_RELATIONSHIP_LABEL = "HAS_MINIBATCH_KMEANS_CLUSTER"
